Loading...
Searching...
No Matches
casacore::MSSpWindowColumns Class Reference
ms package (libcasa_ms) » MeasurementSets_module

More...

`#include <MSSpWindowColumns.h>`

## Public Member Functions

| MSSpWindowColumns (const MSSpectralWindow &msSpWindow)
| Create a columns object that accesses the data in the specified Table.
| ~MSSpWindowColumns ()
| The destructor does nothing special.
ArrayColumn< Double > & | chanFreq ()
| Access to required columns.
ArrayMeasColumn< MFrequency > & | chanFreqMeas ()
ArrayQuantColumn< Double > & | chanFreqQuant ()
ArrayColumn< Double > & | chanWidth ()
ArrayQuantColumn< Double > & | chanWidthQuant ()
ArrayColumn< Double > & | effectiveBW ()
ArrayQuantColumn< Double > & | effectiveBWQuant ()
ScalarColumn< Bool > & | flagRow ()
ScalarColumn< Int > & | freqGroup ()
ScalarColumn< String > & | freqGroupName ()
ScalarColumn< Int > & | ifConvChain ()
ScalarColumn< Int > & | measFreqRef ()
ScalarColumn< String > & | name ()
ScalarColumn< Int > & | netSideband ()
ScalarColumn< Int > & | numChan ()
ScalarColumn< Double > & | refFrequency ()
ScalarQuantColumn< Double > & | refFrequencyQuant ()
ScalarMeasColumn< MFrequency > & | refFrequencyMeas ()
ArrayColumn< Double > & | resolution ()
ArrayQuantColumn< Double > & | resolutionQuant ()
ScalarColumn< Double > & | totalBandwidth ()
ScalarQuantColumn< Double > & | totalBandwidthQuant ()
ArrayColumn< String > & | assocNature ()
| Access to optional columns.
ArrayColumn< Int > & | assocSpwId ()
ScalarColumn< Int > & | bbcNo ()
ScalarColumn< Int > & | bbcSideband ()
ScalarColumn< Int > & | dopplerId ()
ScalarColumn< Int > & | receiverId ()
const ArrayColumn< Double > & | chanFreq () const
| Const access to columns.
const ArrayQuantColumn< Double > & | chanFreqQuant () const
const ArrayMeasColumn< MFrequency > & | chanFreqMeas () const
const ArrayColumn< Double > & | chanWidth () const
const ArrayQuantColumn< Double > & | chanWidthQuant () const
const ArrayColumn< Double > & | effectiveBW () const
const ArrayQuantColumn< Double > & | effectiveBWQuant () const
const ScalarColumn< Int > & | freqGroup () const
const ScalarColumn< String > & | freqGroupName () const
const ScalarColumn< Int > & | ifConvChain () const
const ScalarColumn< Bool > & | flagRow () const
const ScalarColumn< Int > & | measFreqRef () const
const ScalarColumn< String > & | name () const
const ScalarColumn< Int > & | netSideband () const
const ScalarColumn< Int > & | numChan () const
const ScalarColumn< Double > & | refFrequency () const
const ScalarQuantColumn< Double > & | refFrequencyQuant () const
const ScalarMeasColumn< MFrequency > & | refFrequencyMeas () const
const ArrayColumn< Double > & | resolution () const
const ArrayQuantColumn< Double > & | resolutionQuant () const
const ScalarColumn< Double > & | totalBandwidth () const
const ScalarQuantColumn< Double > & | totalBandwidthQuant () const
const ArrayColumn< String > & | assocNature () const
| Const access to optional columns.
const ArrayColumn< Int > & | assocSpwId () const
const ScalarColumn< Int > & | bbcNo () const
const ScalarColumn< Int > & | bbcSideband () const
const ScalarColumn< Int > & | dopplerId () const
const ScalarColumn< Int > & | receiverId () const
rownr_t | nrow () const
| Convenience function that returns the number of rows in any of the columns.
Int64 | matchSpw (const MFrequency &refFreq, uInt nChan, const Quantum< Double > &bandwidth, Int ifChain, const Quantum< Double > &tolerance, Int64 tryRow=-1) const
| returns the last row that contains a spectral window that has the specified reference frequency, number of channels, total-bandwidth and IF conversion chain.
Int64 | matchSpw (const MFrequency &refFreq, const MFrequency &chanFreq1, const MeasFrame &measFrm, const MSDopplerColumns &msdopc, const MSSourceColumns &mssrcc, uInt nChan, const Quantum< Double > &bandwidth, Int ifChain, const Quantum< Double > &tolerance, Int64 tryRow=-1) const
| Similar to above, but also pass in the frame info.
RowNumbers | allMatchedSpw (const MFrequency &refFreq, uInt nChan, const Quantum< Double > &bandwidth, Int ifChain, const Quantum< Double > &tolerance) const
| This is to check that the channels are matched individually and also if the spw is matched in reverse;.
Int64 | matchSpw (const MFrequency &refFreq, uInt nChan, const Quantum< Double > &bandwidth, Int ifChain, const Quantum< Double > &tolerance, Vector< Double > &otherFreqs, Bool &reversed) const
| This version does a channel to channel match too and also return the reversed if it matches but the channels are in inverse order like an upper or lower side band having same characteristics.

## Protected Member Functions

| MSSpWindowColumns ()
void | attach (const MSSpectralWindow &msSpWindow)

## Private Member Functions

| MSSpWindowColumns (const MSSpWindowColumns &)
MSSpWindowColumns & | operator= (const MSSpWindowColumns &)
void | attachOptionalCols (const MSSpectralWindow &msSpWindow)
Bool | matchRefFrequency (rownr_t row, MFrequency::Types refType, Double refFreqInHz, Double tolInHz) const
Bool | matchRefFreqCnvtrd (rownr_t row, MFrequency refOrChanFreq, const Bool isRefFreq, const MeasFrame &measFrm, const MSDopplerColumns &msdopc, const MSSourceColumns &mssrcc, Double tolInHz) const
Bool | matchChanFreq (rownr_t row, const Vector< Double > &chanFreqInHz, Double tolInHz) const
Bool | matchIfConvChain (rownr_t row, Int ifChain) const
Bool | matchTotalBandwidth (rownr_t row, Double bandwidthInHz, Double tolInHz) const
Bool | matchNumChan (rownr_t row, Int nChan) const

## Private Attributes

ArrayColumn< Double > | chanFreq_p
ArrayColumn< Double > | chanWidth_p
ArrayColumn< Double > | effectiveBW_p
ScalarColumn< Bool > | flagRow_p
ScalarColumn< Int > | freqGroup_p
ScalarColumn< String > | freqGroupName_p
ScalarColumn< Int > | ifConvChain_p
ScalarColumn< Int > | measFreqRef_p
ScalarColumn< String > | name_p
ScalarColumn< Int > | netSideband_p
ScalarColumn< Int > | numChan_p
ScalarColumn< Double > | refFrequency_p
ArrayColumn< Double > | resolution_p
ScalarColumn< Double > | totalBandwidth_p
ArrayColumn< String > | assocNature_p
ArrayColumn< Int > | assocSpwId_p
ScalarColumn< Int > | bbcNo_p
ScalarColumn< Int > | bbcSideband_p
ScalarColumn< Int > | dopplerId_p
ScalarColumn< Int > | receiverId_p
ArrayMeasColumn< MFrequency > | chanFreqMeas_p
ScalarMeasColumn< MFrequency > | refFrequencyMeas_p
ArrayQuantColumn< Double > | chanFreqQuant_p
ArrayQuantColumn< Double > | chanWidthQuant_p
ArrayQuantColumn< Double > | effectiveBWQuant_p
ScalarQuantColumn< Double > | refFrequencyQuant_p
ArrayQuantColumn< Double > | resolutionQuant_p
ScalarQuantColumn< Double > | totalBandwidthQuant_p

## Detailed Description

A class to provide easy access to MSSpectralWindow columns

### Intended use:

Public interface

### Review Status

Reviewed By:
  Bob Garwood
Date Reviewed:
  1997/02/01

### Prerequisite

- MSSpectralWindow
- ArrayColumn
- ScalarColumn

### Etymology

MSSpectralWindowColumns stands for MeasurementSet SpectralWindow Table columns.

### Synopsis

This class provides access to the columns in the MSSpectralWindow Table, it does the declaration of all the Scalar and ArrayColumns with the correct types, so the application programmer doesn't have to worry about getting those right. There is an access function for every predefined column. Access to non-predefined columns will still have to be done with explicit declarations. See MSColumns for an example.

### Motivation

See MSColumns for the motivation.

Definition at line 80 of file MSSpWindowColumns.h.

## Constructor & Destructor Documentation

## MSSpWindowColumns() [1/3]

casacore::MSSpWindowColumns::MSSpWindowColumns | ( | const MSSpectralWindow & | msSpWindow | ) |

Create a columns object that accesses the data in the specified Table.

Referenced by MSSpWindowColumns(), and operator=().

## ~MSSpWindowColumns()

casacore::MSSpWindowColumns::~MSSpWindowColumns | ( |  | ) |

The destructor does nothing special.

## MSSpWindowColumns() [2/3]

casacore::MSSpWindowColumns::MSSpWindowColumns | ( |  | ) |

protected

## MSSpWindowColumns() [3/3]

casacore::MSSpWindowColumns::MSSpWindowColumns | ( | const MSSpWindowColumns & |  | ) |

private

References MSSpWindowColumns().

## Member Function Documentation

## allMatchedSpw()

RowNumbers casacore::MSSpWindowColumns::allMatchedSpw | ( | const MFrequency & | refFreq,
|  | uInt | nChan,
|  | const Quantum< Double > & | bandwidth,
|  | Int | ifChain,
|  | const Quantum< Double > & | tolerance ) const

This is to check that the channels are matched individually and also if the spw is matched in reverse;.

Same as the above but returns all the possible match that it could find in the spectral window table.

## assocNature() [1/2]

ArrayColumn< String > & casacore::MSSpWindowColumns::assocNature | ( |  | ) |

inline

Access to optional columns.

Definition at line 118 of file MSSpWindowColumns.h.

References assocNature_p.

## assocNature() [2/2]

const ArrayColumn< String > & casacore::MSSpWindowColumns::assocNature | ( |  | ) | const

inline

Const access to optional columns.

Definition at line 163 of file MSSpWindowColumns.h.

References assocNature_p.

## assocSpwId() [1/2]

ArrayColumn< Int > & casacore::MSSpWindowColumns::assocSpwId | ( |  | ) |

inline

Definition at line 119 of file MSSpWindowColumns.h.

References assocSpwId_p.

## assocSpwId() [2/2]

const ArrayColumn< Int > & casacore::MSSpWindowColumns::assocSpwId | ( |  | ) | const

inline

Definition at line 164 of file MSSpWindowColumns.h.

References assocSpwId_p.

## attach()

void casacore::MSSpWindowColumns::attach | ( | const MSSpectralWindow & | msSpWindow | ) |

protected

## attachOptionalCols()

void casacore::MSSpWindowColumns::attachOptionalCols | ( | const MSSpectralWindow & | msSpWindow | ) |

private

## bbcNo() [1/2]

ScalarColumn< Int > & casacore::MSSpWindowColumns::bbcNo | ( |  | ) |

inline

Definition at line 120 of file MSSpWindowColumns.h.

References bbcNo_p.

## bbcNo() [2/2]

const ScalarColumn< Int > & casacore::MSSpWindowColumns::bbcNo | ( |  | ) | const

inline

Definition at line 165 of file MSSpWindowColumns.h.

References bbcNo_p.

## bbcSideband() [1/2]

ScalarColumn< Int > & casacore::MSSpWindowColumns::bbcSideband | ( |  | ) |

inline

Definition at line 121 of file MSSpWindowColumns.h.

References bbcSideband_p.

## bbcSideband() [2/2]

const ScalarColumn< Int > & casacore::MSSpWindowColumns::bbcSideband | ( |  | ) | const

inline

Definition at line 166 of file MSSpWindowColumns.h.

References bbcSideband_p.

## chanFreq() [1/2]

ArrayColumn< Double > & casacore::MSSpWindowColumns::chanFreq | ( |  | ) |

inline

Access to required columns.

Definition at line 91 of file MSSpWindowColumns.h.

References chanFreq_p.

## chanFreq() [2/2]

const ArrayColumn< Double > & casacore::MSSpWindowColumns::chanFreq | ( |  | ) | const

inline

Const access to columns.

Definition at line 128 of file MSSpWindowColumns.h.

References chanFreq_p.

## chanFreqMeas() [1/2]

ArrayMeasColumn< MFrequency > & casacore::MSSpWindowColumns::chanFreqMeas | ( |  | ) |

inline

Definition at line 92 of file MSSpWindowColumns.h.

References chanFreqMeas_p.

## chanFreqMeas() [2/2]

const ArrayMeasColumn< MFrequency > & casacore::MSSpWindowColumns::chanFreqMeas | ( |  | ) | const

inline

Definition at line 131 of file MSSpWindowColumns.h.

References chanFreqMeas_p.

## chanFreqQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSSpWindowColumns::chanFreqQuant | ( |  | ) |

inline

Definition at line 93 of file MSSpWindowColumns.h.

References chanFreqQuant_p.

## chanFreqQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSSpWindowColumns::chanFreqQuant | ( |  | ) | const

inline

Definition at line 129 of file MSSpWindowColumns.h.

References chanFreqQuant_p.

## chanWidth() [1/2]

ArrayColumn< Double > & casacore::MSSpWindowColumns::chanWidth | ( |  | ) |

inline

Definition at line 94 of file MSSpWindowColumns.h.

References chanWidth_p.

## chanWidth() [2/2]

const ArrayColumn< Double > & casacore::MSSpWindowColumns::chanWidth | ( |  | ) | const

inline

Definition at line 133 of file MSSpWindowColumns.h.

References chanWidth_p.

## chanWidthQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSSpWindowColumns::chanWidthQuant | ( |  | ) |

inline

Definition at line 95 of file MSSpWindowColumns.h.

References chanWidthQuant_p.

## chanWidthQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSSpWindowColumns::chanWidthQuant | ( |  | ) | const

inline

Definition at line 134 of file MSSpWindowColumns.h.

References chanWidthQuant_p.

## dopplerId() [1/2]

ScalarColumn< Int > & casacore::MSSpWindowColumns::dopplerId | ( |  | ) |

inline

Definition at line 122 of file MSSpWindowColumns.h.

References dopplerId_p.

## dopplerId() [2/2]

const ScalarColumn< Int > & casacore::MSSpWindowColumns::dopplerId | ( |  | ) | const

inline

Definition at line 167 of file MSSpWindowColumns.h.

References dopplerId_p.

## effectiveBW() [1/2]

ArrayColumn< Double > & casacore::MSSpWindowColumns::effectiveBW | ( |  | ) |

inline

Definition at line 96 of file MSSpWindowColumns.h.

References effectiveBW_p.

## effectiveBW() [2/2]

const ArrayColumn< Double > & casacore::MSSpWindowColumns::effectiveBW | ( |  | ) | const

inline

Definition at line 136 of file MSSpWindowColumns.h.

References effectiveBW_p.

## effectiveBWQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSSpWindowColumns::effectiveBWQuant | ( |  | ) |

inline

Definition at line 97 of file MSSpWindowColumns.h.

References effectiveBWQuant_p.

## effectiveBWQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSSpWindowColumns::effectiveBWQuant | ( |  | ) | const

inline

Definition at line 137 of file MSSpWindowColumns.h.

References effectiveBWQuant_p.

## flagRow() [1/2]

ScalarColumn< Bool > & casacore::MSSpWindowColumns::flagRow | ( |  | ) |

inline

Definition at line 98 of file MSSpWindowColumns.h.

References flagRow_p.

## flagRow() [2/2]

const ScalarColumn< Bool > & casacore::MSSpWindowColumns::flagRow | ( |  | ) | const

inline

Definition at line 142 of file MSSpWindowColumns.h.

References flagRow_p.

## freqGroup() [1/2]

ScalarColumn< Int > & casacore::MSSpWindowColumns::freqGroup | ( |  | ) |

inline

Definition at line 99 of file MSSpWindowColumns.h.

References freqGroup_p.

## freqGroup() [2/2]

const ScalarColumn< Int > & casacore::MSSpWindowColumns::freqGroup | ( |  | ) | const

inline

Definition at line 139 of file MSSpWindowColumns.h.

References freqGroup_p.

## freqGroupName() [1/2]

ScalarColumn< String > & casacore::MSSpWindowColumns::freqGroupName | ( |  | ) |

inline

Definition at line 100 of file MSSpWindowColumns.h.

References freqGroupName_p.

## freqGroupName() [2/2]

const ScalarColumn< String > & casacore::MSSpWindowColumns::freqGroupName | ( |  | ) | const

inline

Definition at line 140 of file MSSpWindowColumns.h.

References freqGroupName_p.

## ifConvChain() [1/2]

ScalarColumn< Int > & casacore::MSSpWindowColumns::ifConvChain | ( |  | ) |

inline

Definition at line 101 of file MSSpWindowColumns.h.

References ifConvChain_p.

## ifConvChain() [2/2]

const ScalarColumn< Int > & casacore::MSSpWindowColumns::ifConvChain | ( |  | ) | const

inline

Definition at line 141 of file MSSpWindowColumns.h.

References ifConvChain_p.

## matchChanFreq()

Bool casacore::MSSpWindowColumns::matchChanFreq | ( | rownr_t | row,
|  | const Vector< Double > & | chanFreqInHz,
|  | Double | tolInHz ) const

private

## matchIfConvChain()

Bool casacore::MSSpWindowColumns::matchIfConvChain | ( | rownr_t | row,
|  | Int | ifChain ) const

private

## matchNumChan()

Bool casacore::MSSpWindowColumns::matchNumChan | ( | rownr_t | row,
|  | Int | nChan ) const

private

## matchRefFreqCnvtrd()

Bool casacore::MSSpWindowColumns::matchRefFreqCnvtrd | ( | rownr_t | row,
|  | MFrequency | refOrChanFreq,
|  | const Bool | isRefFreq,
|  | const MeasFrame & | measFrm,
|  | const MSDopplerColumns & | msdopc,
|  | const MSSourceColumns & | mssrcc,
|  | Double | tolInHz ) const

private

## matchRefFrequency()

Bool casacore::MSSpWindowColumns::matchRefFrequency | ( | rownr_t | row,
|  | MFrequency::Types | refType,
|  | Double | refFreqInHz,
|  | Double | tolInHz ) const

private

## matchSpw() [1/3]

Int64 casacore::MSSpWindowColumns::matchSpw | ( | const MFrequency & | refFreq,
|  | const MFrequency & | chanFreq1,
|  | const MeasFrame & | measFrm,
|  | const MSDopplerColumns & | msdopc,
|  | const MSSourceColumns & | mssrcc,
|  | uInt | nChan,
|  | const Quantum< Double > & | bandwidth,
|  | Int | ifChain,
|  | const Quantum< Double > & | tolerance,
|  | Int64 | tryRow = -1 ) const

Similar to above, but also pass in the frame info.

## matchSpw() [2/3]

Int64 casacore::MSSpWindowColumns::matchSpw | ( | const MFrequency & | refFreq,
|  | uInt | nChan,
|  | const Quantum< Double > & | bandwidth,
|  | Int | ifChain,
|  | const Quantum< Double > & | tolerance,
|  | Int64 | tryRow = -1 ) const

returns the last row that contains a spectral window that has the specified reference frequency, number of channels, total-bandwidth and IF conversion chain.

All frequencies need to match within the specified tolerance. Both the totalBandwidth & the tolerance arguments must have the same dimensions as the Hz and an AipsError exception is thrown, in debug mode, if the dimensions are wrong. In addition to the numerical values the frequency reference frame is checked and needs to match the value in the MEAS_FREQ_REF column. No conversions to other reference frames are done. Will only try to match on rows where FLAG_ROW is false. If tryRow is set to a non-negative value then that row is checked first to see if it matches. An AIpsError exception is thrown if tryRow is bigger than the number of rows in the Table. Returns -1 if no match could be found.

## matchSpw() [3/3]

Int64 casacore::MSSpWindowColumns::matchSpw | ( | const MFrequency & | refFreq,
|  | uInt | nChan,
|  | const Quantum< Double > & | bandwidth,
|  | Int | ifChain,
|  | const Quantum< Double > & | tolerance,
|  | Vector< Double > & | otherFreqs,
|  | Bool & | reversed ) const

This version does a channel to channel match too and also return the reversed if it matches but the channels are in inverse order like an upper or lower side band having same characteristics.

## matchTotalBandwidth()

Bool casacore::MSSpWindowColumns::matchTotalBandwidth | ( | rownr_t | row,
|  | Double | bandwidthInHz,
|  | Double | tolInHz ) const

private

## measFreqRef() [1/2]

ScalarColumn< Int > & casacore::MSSpWindowColumns::measFreqRef | ( |  | ) |

inline

Definition at line 102 of file MSSpWindowColumns.h.

References measFreqRef_p.

## measFreqRef() [2/2]

const ScalarColumn< Int > & casacore::MSSpWindowColumns::measFreqRef | ( |  | ) | const

inline

Definition at line 143 of file MSSpWindowColumns.h.

References measFreqRef_p.

## name() [1/2]

ScalarColumn< String > & casacore::MSSpWindowColumns::name | ( |  | ) |

inline

Definition at line 103 of file MSSpWindowColumns.h.

References name_p.

## name() [2/2]

const ScalarColumn< String > & casacore::MSSpWindowColumns::name | ( |  | ) | const

inline

Definition at line 144 of file MSSpWindowColumns.h.

References name_p.

## netSideband() [1/2]

ScalarColumn< Int > & casacore::MSSpWindowColumns::netSideband | ( |  | ) |

inline

Definition at line 104 of file MSSpWindowColumns.h.

References netSideband_p.

## netSideband() [2/2]

const ScalarColumn< Int > & casacore::MSSpWindowColumns::netSideband | ( |  | ) | const

inline

Definition at line 145 of file MSSpWindowColumns.h.

References netSideband_p.

## nrow()

rownr_t casacore::MSSpWindowColumns::nrow | ( |  | ) | const

inline

Convenience function that returns the number of rows in any of the columns.

Definition at line 172 of file MSSpWindowColumns.h.

References chanFreq_p.

## numChan() [1/2]

ScalarColumn< Int > & casacore::MSSpWindowColumns::numChan | ( |  | ) |

inline

Definition at line 105 of file MSSpWindowColumns.h.

References numChan_p.

## numChan() [2/2]

const ScalarColumn< Int > & casacore::MSSpWindowColumns::numChan | ( |  | ) | const

inline

Definition at line 146 of file MSSpWindowColumns.h.

References numChan_p.

## operator=()

MSSpWindowColumns & casacore::MSSpWindowColumns::operator= | ( | const MSSpWindowColumns & |  | ) |

private

References MSSpWindowColumns().

## receiverId() [1/2]

ScalarColumn< Int > & casacore::MSSpWindowColumns::receiverId | ( |  | ) |

inline

Definition at line 123 of file MSSpWindowColumns.h.

References receiverId_p.

## receiverId() [2/2]

const ScalarColumn< Int > & casacore::MSSpWindowColumns::receiverId | ( |  | ) | const

inline

Definition at line 168 of file MSSpWindowColumns.h.

References receiverId_p.

## refFrequency() [1/2]

ScalarColumn< Double > & casacore::MSSpWindowColumns::refFrequency | ( |  | ) |

inline

Definition at line 106 of file MSSpWindowColumns.h.

References refFrequency_p.

## refFrequency() [2/2]

const ScalarColumn< Double > & casacore::MSSpWindowColumns::refFrequency | ( |  | ) | const

inline

Definition at line 147 of file MSSpWindowColumns.h.

References refFrequency_p.

## refFrequencyMeas() [1/2]

ScalarMeasColumn< MFrequency > & casacore::MSSpWindowColumns::refFrequencyMeas | ( |  | ) |

inline

Definition at line 108 of file MSSpWindowColumns.h.

References refFrequencyMeas_p.

## refFrequencyMeas() [2/2]

const ScalarMeasColumn< MFrequency > & casacore::MSSpWindowColumns::refFrequencyMeas | ( |  | ) | const

inline

Definition at line 150 of file MSSpWindowColumns.h.

References refFrequencyMeas_p.

## refFrequencyQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSSpWindowColumns::refFrequencyQuant | ( |  | ) |

inline

Definition at line 107 of file MSSpWindowColumns.h.

References refFrequencyQuant_p.

## refFrequencyQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSSpWindowColumns::refFrequencyQuant | ( |  | ) | const

inline

Definition at line 148 of file MSSpWindowColumns.h.

References refFrequencyQuant_p.

## resolution() [1/2]

ArrayColumn< Double > & casacore::MSSpWindowColumns::resolution | ( |  | ) |

inline

Definition at line 109 of file MSSpWindowColumns.h.

References resolution_p.

## resolution() [2/2]

const ArrayColumn< Double > & casacore::MSSpWindowColumns::resolution | ( |  | ) | const

inline

Definition at line 152 of file MSSpWindowColumns.h.

References resolution_p.

## resolutionQuant() [1/2]

ArrayQuantColumn< Double > & casacore::MSSpWindowColumns::resolutionQuant | ( |  | ) |

inline

Definition at line 110 of file MSSpWindowColumns.h.

References resolutionQuant_p.

## resolutionQuant() [2/2]

const ArrayQuantColumn< Double > & casacore::MSSpWindowColumns::resolutionQuant | ( |  | ) | const

inline

Definition at line 153 of file MSSpWindowColumns.h.

References resolutionQuant_p.

## totalBandwidth() [1/2]

ScalarColumn< Double > & casacore::MSSpWindowColumns::totalBandwidth | ( |  | ) |

inline

Definition at line 111 of file MSSpWindowColumns.h.

References totalBandwidth_p.

## totalBandwidth() [2/2]

const ScalarColumn< Double > & casacore::MSSpWindowColumns::totalBandwidth | ( |  | ) | const

inline

Definition at line 155 of file MSSpWindowColumns.h.

References totalBandwidth_p.

## totalBandwidthQuant() [1/2]

ScalarQuantColumn< Double > & casacore::MSSpWindowColumns::totalBandwidthQuant | ( |  | ) |

inline

Definition at line 112 of file MSSpWindowColumns.h.

References totalBandwidthQuant_p.

## totalBandwidthQuant() [2/2]

const ScalarQuantColumn< Double > & casacore::MSSpWindowColumns::totalBandwidthQuant | ( |  | ) | const

inline

Definition at line 157 of file MSSpWindowColumns.h.

References totalBandwidthQuant_p.

## Member Data Documentation

## assocNature_p

ArrayColumn<String> casacore::MSSpWindowColumns::assocNature_p

private

Definition at line 262 of file MSSpWindowColumns.h.

Referenced by assocNature(), and assocNature().

## assocSpwId_p

ArrayColumn<Int> casacore::MSSpWindowColumns::assocSpwId_p

private

Definition at line 263 of file MSSpWindowColumns.h.

Referenced by assocSpwId(), and assocSpwId().

## bbcNo_p

ScalarColumn<Int> casacore::MSSpWindowColumns::bbcNo_p

private

Definition at line 264 of file MSSpWindowColumns.h.

Referenced by bbcNo(), and bbcNo().

## bbcSideband_p

ScalarColumn<Int> casacore::MSSpWindowColumns::bbcSideband_p

private

Definition at line 265 of file MSSpWindowColumns.h.

Referenced by bbcSideband(), and bbcSideband().

## chanFreq_p

ArrayColumn<Double> casacore::MSSpWindowColumns::chanFreq_p

private

Definition at line 247 of file MSSpWindowColumns.h.

Referenced by chanFreq(), chanFreq(), and nrow().

## chanFreqMeas_p

ArrayMeasColumn<MFrequency> casacore::MSSpWindowColumns::chanFreqMeas_p

private

Definition at line 270 of file MSSpWindowColumns.h.

Referenced by chanFreqMeas(), and chanFreqMeas().

## chanFreqQuant_p

ArrayQuantColumn<Double> casacore::MSSpWindowColumns::chanFreqQuant_p

private

Definition at line 274 of file MSSpWindowColumns.h.

Referenced by chanFreqQuant(), and chanFreqQuant().

## chanWidth_p

ArrayColumn<Double> casacore::MSSpWindowColumns::chanWidth_p

private

Definition at line 248 of file MSSpWindowColumns.h.

Referenced by chanWidth(), and chanWidth().

## chanWidthQuant_p

ArrayQuantColumn<Double> casacore::MSSpWindowColumns::chanWidthQuant_p

private

Definition at line 275 of file MSSpWindowColumns.h.

Referenced by chanWidthQuant(), and chanWidthQuant().

## dopplerId_p

ScalarColumn<Int> casacore::MSSpWindowColumns::dopplerId_p

private

Definition at line 266 of file MSSpWindowColumns.h.

Referenced by dopplerId(), and dopplerId().

## effectiveBW_p

ArrayColumn<Double> casacore::MSSpWindowColumns::effectiveBW_p

private

Definition at line 249 of file MSSpWindowColumns.h.

Referenced by effectiveBW(), and effectiveBW().

## effectiveBWQuant_p

ArrayQuantColumn<Double> casacore::MSSpWindowColumns::effectiveBWQuant_p

private

Definition at line 276 of file MSSpWindowColumns.h.

Referenced by effectiveBWQuant(), and effectiveBWQuant().

## flagRow_p

ScalarColumn<Bool> casacore::MSSpWindowColumns::flagRow_p

private

Definition at line 250 of file MSSpWindowColumns.h.

Referenced by flagRow(), and flagRow().

## freqGroup_p

ScalarColumn<Int> casacore::MSSpWindowColumns::freqGroup_p

private

Definition at line 251 of file MSSpWindowColumns.h.

Referenced by freqGroup(), and freqGroup().

## freqGroupName_p

ScalarColumn<String> casacore::MSSpWindowColumns::freqGroupName_p

private

Definition at line 252 of file MSSpWindowColumns.h.

Referenced by freqGroupName(), and freqGroupName().

## ifConvChain_p

ScalarColumn<Int> casacore::MSSpWindowColumns::ifConvChain_p

private

Definition at line 253 of file MSSpWindowColumns.h.

Referenced by ifConvChain(), and ifConvChain().

## measFreqRef_p

ScalarColumn<Int> casacore::MSSpWindowColumns::measFreqRef_p

private

Definition at line 254 of file MSSpWindowColumns.h.

Referenced by measFreqRef(), and measFreqRef().

## name_p

ScalarColumn<String> casacore::MSSpWindowColumns::name_p

private

Definition at line 255 of file MSSpWindowColumns.h.

Referenced by name(), and name().

## netSideband_p

ScalarColumn<Int> casacore::MSSpWindowColumns::netSideband_p

private

Definition at line 256 of file MSSpWindowColumns.h.

Referenced by netSideband(), and netSideband().

## numChan_p

ScalarColumn<Int> casacore::MSSpWindowColumns::numChan_p

private

Definition at line 257 of file MSSpWindowColumns.h.

Referenced by numChan(), and numChan().

## receiverId_p

ScalarColumn<Int> casacore::MSSpWindowColumns::receiverId_p

private

Definition at line 267 of file MSSpWindowColumns.h.

Referenced by receiverId(), and receiverId().

## refFrequency_p

ScalarColumn<Double> casacore::MSSpWindowColumns::refFrequency_p

private

Definition at line 258 of file MSSpWindowColumns.h.

Referenced by refFrequency(), and refFrequency().

## refFrequencyMeas_p

ScalarMeasColumn<MFrequency> casacore::MSSpWindowColumns::refFrequencyMeas_p

private

Definition at line 271 of file MSSpWindowColumns.h.

Referenced by refFrequencyMeas(), and refFrequencyMeas().

## refFrequencyQuant_p

ScalarQuantColumn<Double> casacore::MSSpWindowColumns::refFrequencyQuant_p

private

Definition at line 277 of file MSSpWindowColumns.h.

Referenced by refFrequencyQuant(), and refFrequencyQuant().

## resolution_p

ArrayColumn<Double> casacore::MSSpWindowColumns::resolution_p

private

Definition at line 259 of file MSSpWindowColumns.h.

Referenced by resolution(), and resolution().

## resolutionQuant_p

ArrayQuantColumn<Double> casacore::MSSpWindowColumns::resolutionQuant_p

private

Definition at line 278 of file MSSpWindowColumns.h.

Referenced by resolutionQuant(), and resolutionQuant().

## totalBandwidth_p

ScalarColumn<Double> casacore::MSSpWindowColumns::totalBandwidth_p

private

Definition at line 260 of file MSSpWindowColumns.h.

Referenced by totalBandwidth(), and totalBandwidth().

## totalBandwidthQuant_p

ScalarQuantColumn<Double> casacore::MSSpWindowColumns::totalBandwidthQuant_p

private

Definition at line 279 of file MSSpWindowColumns.h.

Referenced by totalBandwidthQuant(), and totalBandwidthQuant().

The documentation for this class was generated from the following file:

- ms/MeasurementSets/MSSpWindowColumns.h